<?xml version="1.0" encoding="windows-1250" standalone="no"?>
<!-- Edited with XML Spy v2006 (http://www.altova.com) -->
<xsl:stylesheet version="1.0" xmlns:gml="http://www.opengis.net/gml" xmlns:xlink="http://www.w3.org/1999/xlink" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ogr="http://ogr.maptools.org/">

  <xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0" />
	<!-- hledat odvrchu uplne od korenoveho elementu -->
  <xsl:template match="/">

<!-- definovani jmenneho prostoru kml -->
<kml xmlns="http://earth.google.com/kml/2.1">
  <Document>
		<!-- definovani stylu, ktery se jmenuje srazky 1 -->
    <Style id="srazky1">
      <IconStyle>
        <!-- zde je definovany rozmer ikony, protoze pro ruzne data bude ikona ruzne velka -->
        <scale>0.5</scale>
        <!-- aby ikona mirila na sever -->
        <heading>0</heading>
        <!-- Cesta, odkud se ma ikona nacitat -->
        <Icon>
          <href>http://gisak.vsb.cz/~suk036/xsl/1.png</href>
        </Icon>
      </IconStyle>
    </Style>

		<!-- definovani stylu, ktery se jmenuje srazky 2 -->
    <Style id="srazky2">
      <IconStyle>
        <!-- zde je definovany rozmer ikony -->
        <scale>1</scale>
        <!-- aby ikona mirila na sever -->
        <heading>0</heading>
        <!-- Cesta, odkud se ma ikona nacitat -->
        <Icon>
          <href>http://gisak.vsb.cz/~suk036/xsl/1.png</href>
        </Icon>
      </IconStyle>
    </Style>
    
		<!-- definovani stylu, ktery se jmenuje srazky3 -->
		<Style id="srazky3">
      <IconStyle>
        <!-- zde je definovany rozmer ikony -->
        <scale>2</scale>
        <!-- aby ikona mirila na sever -->
        <heading>0</heading>
        <!-- Cesta, odkud se ma ikona nacitat -->
        <Icon>
          <href>http://gisak.vsb.cz/~suk036/xsl/1.png</href>
        </Icon>
      </IconStyle>
    </Style>
    
		<Folder>
		<!-- nazev -->
      <name>Srazky</name>
			<!-- popis -->
      <description>test srazek</description>
			<!-- cyklus k vyberu vsech gml:featureMember -->
      <xsl:for-each select="ogr:FeatureCollection/gml:featureMember">
        <Placemark>
          <name>
					<!-- vybrat hodnotu, ktera je v nazvu stanice -->
            <xsl:value-of select="ogr:stanice2/ogr:NAZEV_STAN"/>
          </name>
					<!-- podminka, ze jestlize je v tehle ceste v atributu prumer hodnota rovna 1, pak se priradi styl s nazvem srazky 1 -->
          <xsl:if test="ogr:stanice2/ogr:PRUM7_3_05 = 1">
            <styleUrl>#srazky1</styleUrl>
          </xsl:if>
					<!-- podminka, ze jestlize je v tehle ceste v atributu prumer hodnota rovna 2, pak se priradi styl s nazvem srazky 2 -->
          <xsl:if test="ogr:stanice2/ogr:PRUM7_3_05 = 2">
            <styleUrl>#srazky2</styleUrl>
          </xsl:if>
					<!-- podminka, ze jestlize je v tehle ceste v atributu prumer hodnota rovna 3, pak se priradi styl s nazvem srazky 2 -->
          <xsl:if test="ogr:stanice2/ogr:PRUM7_3_05 = 3">
            <styleUrl>#srazky2</styleUrl>
          </xsl:if>
					<!-- podminka, ze jestlize je v tehle ceste v atributu prumer hodnota vetsi jak 3, pak se priradi styl s nazvem srazky 3 -->
          <xsl:if test="ogr:stanice2/ogr:PRUM7_3_05 &gt; 3">
            <styleUrl>#srazky3</styleUrl>
          </xsl:if>
          <Point>
            <coordinates>
						<!-- vybrat hodnotu, ktera je na tehle ceste - nacteni souradnic -->
              <xsl:value-of select="ogr:stanice2/ogr:geometryProperty/gml:Point/gml:coordinates"/>
            </coordinates>
          </Point>
        </Placemark>
      </xsl:for-each>

    </Folder>
  </Document>
</kml>	

  </xsl:template>
</xsl:stylesheet>
